#include <Myproject.h>

void UART1_Init(void)
{
    SetBit(PH_SEL, UART1EN);
    UT_MOD1 = 0;
    UT_MOD0 = 1;
    SM2 = 0;
    REN = 1;
    ES0 = 0;
    SetBit(IP3, PI2C_UT11);
    ClrBit(IP3, PI2C_UT10);    // 中断优先级别3
    // SetBit(UT_BAUD , UART_2xBAUD);  //????0-->Disable  1-->Enable
    // default baudrate:9600-0x9b,1200-0x4E1
    UT_BAUD = 0x9B;
    ES0 = 1;
}


void UART2_Init(void)
{
    SetBit(PH_SEL, UART2EN);
    /*  UART模式 UT2_MOD1,UT2_MOD0为:
        00  模式0，移位寄存器波特率为 系统时钟 /12
        01  模式1，8-bit UART 波特率为 fcpu_clk / ( (16 / (1+ UT2_BAUD[BAUD2_SEL]) ) / (UT2_BAUD+1) )
        10  模式2，9-bit UART 波特率为 fcpu_clk / ( 32 – 16* UT2_BAUD[BAUD2_SEL])
        11  模式3，9-bit UART 波特率为 fcpu_clk / ( (16 / (1+ UT2_BAUD[BAUD2_SEL])) / (UT2_BAUD+1) )   */
    UT2MOD1 = 0;                // 9位模式    01
    UT2MOD0 = 1;
    /* Does not allow multi-thread cpu operation */
    /* UT2_SM2 为 0 - 单机通讯为 1 - 多机通讯 */
    UT2SM2 = 0;
    /* UT2_REN 为 0 - 禁止接收为 1 - 使能接收 */
    UT2REN = 1;
    UT2RI = 0;
    /* Uart2设置中断优先级 */
    SetBit(IP3, PSPI_UT21);
    ClrBit(IP3, PSPI_UT20);
    // UART2CH1, UART2CH0
    // 00：P3.6 为 RXD、P3.7 为 TXD（P3.6 为单线模式的输入输出）
    // 01：P4.7 为 RXD、P1.2 为 TXD（P1.2 为单线模式的输入输出）
    // 1X：P0.1 为 RXD、P0.0 为 TXD（P0.1 为单线模式的输入输出）
    ClrBit(PH_SEL1, UART2CH1);
    ClrBit(PH_SEL1, UART2CH0);
    // 设置波特率 根据 fcpu_clk / ( (16 / (1+ UT2_BAUD[BAUD2_SEL]) ) / (UT2_BAUD+1) )计算
    UT2_BAUD |= 1500000 / 9600 - 1;
    // SetBit(UT2_BAUD,BAUD2_SEL);
    SetBit(UT2_BAUD, UART2IEN);
}


